### Name: FLXMRlmer
### Title: FlexMix Interface to Linear Mixed Models
### Aliases: FLXMRlmer FLXMRlmer-class FLXMRlmm-class FLXMRlmmfix-class
###   FLXdeterminePostunscaled,FLXMRlmer-method
###   FLXdeterminePostunscaled,FLXMRlmm-method FLXmstep,FLXMRlmer-method
###   FLXmstep,FLXMRlmm-method FLXgetModelmatrix,FLXMRlmer-method
###   FLXgetModelmatrix,FLXMRlmm-method FLXMRlmm FLXgetObs,FLXMRlmm-method
###   FLXmstep,FLXMRlmmfix-method predict,FLXMRlmm-method
### Keywords: models

### ** Examples

id <- rep(1:100, each = 10)
x <- rep(1:10, 100)
sample <- data.frame(y = rep(rnorm(unique(id)/2, 0, c(5, 2)), each = 10) +
                         rnorm(length(id), rep(c(3, 8), each = 10)) +
                         rep(c(0, 3), each = 10) * x,
                     x = x,
                     id = factor(id))
fitted <- flexmix(.~.|id, k = 2, model = FLXMRlmer(y ~ x, random = ~ 1),
                  data = sample)
parameters(fitted)
xyplot(y ~ x | clusters(fitted), groups = id, data = sample, type = "l")



